Page MenuHomePhabricator

Move static rerender blacklist from RESTBase to ChangeProp
Closed, ResolvedPublic

Description

We have an HTML rerender blacklist in RESTBase to prohibit rerenders of certain articles, mostly bot-generated pages that gets updated A LOT.

However, we also need to prohibit rerendering of these articles for mobile content, since we rerender mobile and summary on user purges and null edits and some bots have cron scripts set up to make A LOT of those purges.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2018, 10:28 AM
mobrovac claimed this task.Jun 29 2018, 5:45 PM
mobrovac triaged this task as Medium priority.
mobrovac added a subscriber: mobrovac.

PR #278 introduces the feature into CP.

However, for RESTBase, I would argue that the feature should stay there, we should just remove the config options. The rationale there is that this feature is useful to other systems that use RESTBase but not CP.

Change 443120 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/change-propagation/deploy@master] Config: Add the list of blacklisted titles

https://gerrit.wikimedia.org/r/443120

Change 443120 merged by Ppchelko:
[mediawiki/services/change-propagation/deploy@master] Config: Add the list of blacklisted titles

https://gerrit.wikimedia.org/r/443120

Mentioned in SAL (#wikimedia-operations) [2018-07-02T12:24:11Z] <ppchelko@deploy1001> Started deploy [changeprop/deploy@a5a57ff]: Move static blacklisting to change-prop T198386

Mentioned in SAL (#wikimedia-operations) [2018-07-02T12:24:50Z] <ppchelko@deploy1001> Finished deploy [changeprop/deploy@a5a57ff]: Move static blacklisting to change-prop T198386 (duration: 00m 39s)

Change 443416 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/deploy@master] Remove non-ascii sybmols from the blacklist.

https://gerrit.wikimedia.org/r/443416

Change 443416 merged by Ppchelko:
[mediawiki/services/change-propagation/deploy@master] Remove non-ascii sybmols from the blacklist.

https://gerrit.wikimedia.org/r/443416

Mentioned in SAL (#wikimedia-operations) [2018-07-02T12:48:42Z] <ppchelko@deploy1001> Started deploy [changeprop/deploy@f20916f]: Move static blacklisting to change-prop T198386 take 2

Mentioned in SAL (#wikimedia-operations) [2018-07-02T12:49:06Z] <ppchelko@deploy1001> Finished deploy [changeprop/deploy@f20916f]: Move static blacklisting to change-prop T198386 take 2 (duration: 00m 24s)

Mentioned in SAL (#wikimedia-operations) [2018-07-02T12:57:55Z] <ppchelko@deploy1001> Started deploy [changeprop/deploy@82fd280]: Revert: Move static blacklisting to change-prop T198386 Can't deploy yet due to scap bug T198621

Mentioned in SAL (#wikimedia-operations) [2018-07-02T12:59:21Z] <ppchelko@deploy1001> Finished deploy [changeprop/deploy@82fd280]: Revert: Move static blacklisting to change-prop T198386 Can't deploy yet due to scap bug T198621 (duration: 01m 26s)

Due to a bug in Scap T198621 that doesn't allow us to deploy any config that has non-us-ascii characters, I've reverted the config changes until scap issue is resolved.

Change 445172 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/deploy@master] Revert "Revert "Config: Add the list of blacklisted titles""

https://gerrit.wikimedia.org/r/445172

Change 445172 merged by Ppchelko:
[mediawiki/services/change-propagation/deploy@master] Revert "Revert "Config: Add the list of blacklisted titles""

https://gerrit.wikimedia.org/r/445172

Mentioned in SAL (#wikimedia-operations) [2018-07-11T14:16:51Z] <ppchelko@deploy1001> Started deploy [changeprop/deploy@2e56855]: Move static blacklisting to change-prop T198386

Mentioned in SAL (#wikimedia-operations) [2018-07-11T14:18:13Z] <ppchelko@deploy1001> Finished deploy [changeprop/deploy@2e56855]: Move static blacklisting to change-prop T198386 (duration: 01m 22s)

Change 445974 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/change-propagation/deploy@master] Blacklist: Remove anchors from regexes

https://gerrit.wikimedia.org/r/445974

Change 445974 merged by Mobrovac:
[mediawiki/services/change-propagation/deploy@master] Blacklist: Remove anchors from regexes

https://gerrit.wikimedia.org/r/445974

Mentioned in SAL (#wikimedia-operations) [2018-07-16T11:12:39Z] <mobrovac@deploy1001> Started deploy [changeprop/deploy@ab8f7e9]: Bug fix: Remove anchors in blacklisting URIs and decode event URIs - T198386

Mentioned in SAL (#wikimedia-operations) [2018-07-16T11:14:12Z] <mobrovac@deploy1001> Finished deploy [changeprop/deploy@ab8f7e9]: Bug fix: Remove anchors in blacklisting URIs and decode event URIs - T198386 (duration: 01m 33s)

mobrovac closed this task as Resolved.Jul 16 2018, 11:18 AM
mobrovac edited projects, added Services (done); removed Patch-For-Review, Services (doing).